const { regClass, property } = Laya

@regClass()
export class AutoRotate extends Laya.Script {
  declare owner: Laya.Image

  @property(Number)
  public speed: number = 1

  private begin = 0

  // 第一次执行update之前执行，只会执行一次
  onStart(): void {
    Laya.timer.loop(100, this, () => {
      this.begin += this.speed
      if (this.begin >= 360) {
        this.begin = 0
      }
      this.owner.rotation = this.begin
    })
  }
}
